# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/tables/{full_name_arg}`

Gets a table from the metastore for a specific catalog and schema.
 The caller must satisfy one of the following requirements:
 * Be a metastore admin
 * Be the owner of the parent catalog
 * Be the owner of the parent schema and have the **USE_CATALOG** privilege on the parent catalog
 * Have the **USE_CATALOG** privilege on the parent catalog and the **USE_SCHEMA** privilege on the parent schema,
 and either be the table owner or have the **SELECT** privilege on the table.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  Full name of the table.

## Query parameters

- `include_delta_metadata` (boolean, optional)
  Whether delta metadata should be included in the response.
- `include_browse` (boolean, optional)
  Whether to include tables in the response for which the principal can only access selective metadata for.
- `include_manifest_capabilities` (boolean, optional)
  Whether to include a manifest containing table capabilities in the response.

## Returns

Returns the TableInfo object.

## Response

```json
{
  "name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "table_type": "string",
  "data_source_format": "string",
  "storage_location": "string",
  "view_definition": "string",
  "view_dependencies": {
    "dependencies": [
      {}
    ]
  },
  "sql_path": "string",
  "owner": "string",
  "comment": "string",
  "storage_credential_name": "string",
  "table_constraints": [
    {
      "primary_key_constraint": {},
      "foreign_key_constraint": {},
      "named_table_constraint": {}
    }
  ],
  "row_filter": {
    "function_name": "string",
    "input_column_names": [
      "string"
    ],
    "input_arguments": [
      {}
    ]
  },
  "pipeline_id": "string",
  "enable_predictive_optimization": "string",
  "metastore_id": "string",
  "full_name": "string",
  "data_access_configuration_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "table_id": "string",
  "delta_runtime_properties_kvpairs": {
    "delta_runtime_properties": {}
  },
  "deleted_at": 0,
  "effective_predictive_optimization_flag": {
    "value": "string",
    "inherited_from_type": "string",
    "inherited_from_name": "string"
  },
  "access_point": "string",
  "browse_only": true,
  "securable_kind_manifest": {
    "securable_type": "string",
    "securable_kind": "string",
    "assignable_privileges": [
      "string"
    ],
    "options": [
      {}
    ],
    "capabilities": [
      "string"
    ]
  },
  "columns": [
    {
      "name": "string",
      "type_text": "string",
      "type_name": "string",
      "position": 0,
      "type_precision": 0,
      "type_scale": 0,
      "type_interval_type": "string",
      "type_json": "string",
      "comment": "string",
      "nullable": true,
      "partition_index": 0,
      "mask": {}
    }
  ],
  "properties": {}
}
```

